CREATE TABLE gtg_ts_accountingperiods (
    ETL_SEQUENCE_ID                  NUMBER(19, 0),
    ETL_VERSION_NUMBER               NUMBER(18, 0),
    DELETE_VERSION_NUMBER            NUMBER(18, 0),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    ADJUSTMENT_PERIOD_FLAG           VARCHAR2(4)  ,
    APPLICATION_ID                   NUMBER(18, 0),
    CHRONOLOGICAL_SEQ_STATUS_CODE    VARCHAR2(4)  ,
    CLOSING_STATUS                   VARCHAR2(4)  ,
    EFFECTIVE_PERIOD_NUM             NUMBER(18, 0),
    ELIMINATION_CONFIRMED_FLAG       VARCHAR2(4)  ,
    END_DATE                         DATE         ,
    GLPERIODSTATUSES_CB              VARCHAR2(256),
    GLPERIODSTATUSES_CD              TIMESTAMP(6) ,
    GLPERIODSTATUSES_LUB             VARCHAR2(256),
    GLPERIODSTATUSES_LUD             TIMESTAMP(6) ,
    LEDGER_ID                        NUMBER(18, 0),
    MIGRATION_STATUS_CODE            VARCHAR2(120),
    PERIOD_NAME                      VARCHAR2(60) ,
    PERIOD_NUM                       NUMBER(18, 0),
    PERIOD_TYPE                      VARCHAR2(60) ,
    PERIOD_YEAR                      NUMBER(18, 0),
    QUARTER_NUM                      NUMBER(18, 0),
    QUARTER_START_DATE               DATE         ,
    START_DATE                       DATE         ,
    TRACK_BC_YTD_FLAG                VARCHAR2(4)  ,
    YEAR_START_DATE                  DATE         ,
    ETL_SEQUENCE_ID                  NUMBER(19, 0),
    ETL_VERSION_NUMBER               NUMBER(18, 0),
    DELETE_VERSION_NUMBER            NUMBER(18, 0),
    LAST_UPDATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128),
    CREATED_BY                       VARCHAR2(256)    NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)     NOT NULL,
    ADJUSTMENT_PERIOD_FLAG           VARCHAR2(4)  ,
    APPLICATION_ID                   NUMBER(18, 0),
    CHRONOLOGICAL_SEQ_STATUS_CODE    VARCHAR2(4)  ,
    CLOSING_STATUS                   VARCHAR2(4)  ,
    EFFECTIVE_PERIOD_NUM             NUMBER(18, 0),
    ELIMINATION_CONFIRMED_FLAG       VARCHAR2(4)  ,
    END_DATE                         DATE         ,
    GLPERIODSTATUSES_CB              VARCHAR2(256),
    GLPERIODSTATUSES_CD              TIMESTAMP(6) ,
    GLPERIODSTATUSES_LUB             VARCHAR2(256),
    GLPERIODSTATUSES_LUD             TIMESTAMP(6) ,
    LEDGER_ID                        NUMBER(18, 0),
    MIGRATION_STATUS_CODE            VARCHAR2(120),
    PERIOD_NAME                      VARCHAR2(60) ,
    PERIOD_NUM                       NUMBER(18, 0),
    PERIOD_TYPE                      VARCHAR2(60) ,
    PERIOD_YEAR                      NUMBER(18, 0),
    QUARTER_NUM                      NUMBER(18, 0),
    QUARTER_START_DATE               DATE         ,
    START_DATE                       DATE         ,
    TRACK_BC_YTD_FLAG                VARCHAR2(4)  ,
    YEAR_START_DATE                  DATE         ,
    CONSTRAINT pk_gtg_ts_accountingperiods PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
